API Platform Base Path: https://api.enterprise.apigee.com/v1/o/{org_name}

API Resource Path: /apis/{api_name}

Deletes an API and all associated endpoints, policies, resources, and revisions

Verb: DELETE

Auth: Basic Auth

Developer Guide Topic

Deletes an API proxy and all policies, resources, endpoints, and revisions associated with it.

Sample Request:
$ curl -u myname:mypass https://api.enterprise.apigee.com/v1/o/{org_name}/apis/{api_name} -X DELETE
Sample Response:
{
  "configurationVersion" : {
    "majorVersion" : 4,
    "minorVersion" : 0
  },
  "contextInfo" : "Revision null of application -NA-, in organization -NA-",
  "name" : "myAPI",
  "policies" : [ ],
  "proxyEndpoints" : [ ],
  "resources" : [ ],
  "targetEndpoints" : [ ],
  "targetServers" : [ ],
  "type" : "Application"
}
Errors
Failure 4xx with proper error message
{
  "code" : "messaging.config.beans.ApplicationDoesNotExist",
  "message" : "APIProxy named myAPI does not exist in organization apigee-cs",
  "contexts" : [ ]
}